-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function onReset()
  electrics.values['hitchLift'] = 0
  electrics.values['hitchLift_input'] = 0
end

local function updateGFX(dt) -- ms
  electrics.values['hitchLift'] = math.min(1, math.max(-1.0, (electrics.values['hitchLift'] + electrics.values['hitchLift_input'] * dt * 0.25)))
end

local function hitchLift(value)
  electrics.values.hitchLift_input = value
end

-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX
M.hitchLift = hitchLift

return M
